/************************************************************************/
/* Author: 	Hirotaka Miura.						*/
/* Contact: 	Hirotaka.Miura@gmail.com.				*/
/************************************************************************/

/************************************************************************/
/* 04/30/2011: 	Modified.						*/
/* 04/24/2011: 	Previouly modified.					*/
/* 04/16/2011: 	Created.						*/
/* Program:	Do-file to compile SGL functions and class wrapper.	*/
/************************************************************************/
/* Save log.								*/
capture log close
log using lsgl.log, replace
/* Set version.								*/
version 11.1								
/* Clear dataset.							*/
clear all								
/* Clear mata.								*/
clear mata								
/***** Compile class system wrapper.					*/
do network_measure.mata
/* Compile auxiliary mata programs.					*/
do adjacency_list.mata
do bfs_betweenness.mata
do bfs_sp.mata
do clustering_coefficients.mata
do bfs_component.mata
do dijkstra_sp.mata
do dijkstra_betweenness.mata
do display_status.mata
do ereturn.mata
do power.mata
do power_katzbonacich.mata
do write.mata
do sparse2full.mata
/* Re-save mata function library.					*/
mata: 
mata mlib create lsgl, replace dir(../)
mata mlib add lsgl *(), dir(../)
mata mlib index
end
/* Close log.								*/
log close



